Bug 864898 - ssmtp: Does not validate server certificates when using TLS connection [epel-all]
ssmtp: Does not validate server certificates when using TLS connection [epel-...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: ssmtp (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: 864894
  Show dependency treegraph
 
Reported: 2012-10-10 07:00 EDT by Jan Lieskovsky
Modified: 2014-01-12 14:19 EST (History)
2 users (show)

See Also:
Fixed In Version: ssmtp-2.61-21.el5
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-12 14:18:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-10-10 07:00:44 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=864894

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-10-13 21:06:46 EDT
ssmtp-2.61-19.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ssmtp-2.61-19.el6
Comment 2 Fedora Update System 2012-10-13 21:27:31 EDT
ssmtp-2.61-19.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ssmtp-2.61-19.el5
Comment 3 Fedora Update System 2013-01-16 12:25:56 EST
ssmtp-2.61-19.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-01-16 12:29:35 EST
ssmtp-2.61-19.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Till Maas 2013-07-18 07:58:53 EDT
see bug 864894
Comment 6 Fedora Update System 2013-08-20 05:13:03 EDT
ssmtp-2.61-21.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ssmtp-2.61-21.el5
Comment 7 Fedora Update System 2013-08-20 05:13:28 EDT
ssmtp-2.64-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ssmtp-2.64-9.fc19
Comment 8 Fedora Update System 2013-08-20 05:13:42 EDT
ssmtp-2.64-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ssmtp-2.64-9.fc18
Comment 9 Fedora Update System 2013-08-20 05:13:58 EDT
ssmtp-2.61-21.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ssmtp-2.61-21.el6
Comment 10 Fedora Update System 2013-08-20 14:19:16 EDT
Package ssmtp-2.61-21.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ssmtp-2.61-21.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11274/ssmtp-2.61-21.el6
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-08-30 18:58:44 EDT
ssmtp-2.64-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-08-30 19:00:16 EDT
ssmtp-2.64-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Vincent Danen 2013-10-23 17:24:13 EDT
This is not fully fixed.  See https://bugzilla.redhat.com/show_bug.cgi?id=864894#c22

Re-opening.
Comment 14 manuel wolfshant 2013-10-24 03:28:49 EDT
Mind that ssmtp-2.64-10 ( which includes Till's fixed patch ) is in testing since Sept. I'll keep it in there a while longer, probably until it gets enough karma or better patches appear.
Comment 15 Fedora Update System 2014-01-12 14:18:54 EST
ssmtp-2.61-21.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2014-01-12 14:19:54 EST
ssmtp-2.61-21.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.